Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class succeed_goal

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.succeed_goal

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  fail_goal

    public class succeed_goal

extends DefaultInternalAction

Internal action: `.succeed_goal(G)`.

Description: remove goals G from the agent circumstance as if a plan for such goal had successfully finished. G is a goal if there is a triggering event `+!G` in any plan within any intention; also note that intentions can be suspended hence appearing in E, PA, or PI as well.

Example:

- `.succeed_goal(go(X,3))`: stops any attempt to achieve goals such as `!go(1,3)` as if it had already been achieved.

(Note: this internal action was introduced in a DALT 2006 paper, where it was called .dropGoal(G,true).)

See Also:
  `intend`, `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `fail_goal`, `current_intention`, `suspend`, `suspended`, `resume`, Serialized Form

Constructor Summary
`succeed_goal()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`void` | `drop(TransitionSystem ts, Literal l, Unifier un)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### succeed_goal

    public succeed_goal()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### drop

    public void drop(TransitionSystem ts,
                     Literal l,
                     Unifier un)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD